IKARUS(1)

NAME
ikarus - Scheme Programming Language

SYNOPSIS
ikarus -h
ikarus [-b bootfile] --r6rs-script scriptfile [opts]
ikarus [-b bootfile] [files] [opts]

DESCRIPTION
The ikarus command starts the Ikarus Scheme system. Invoking ikarus without options enters a read-eval-print loop.

OPTIONS

-h  Prints help message then exits.

[-b <bootfile>] --r6rs-script <scriptfile> opts ...
    Starts ikarus in r6rs-script mode. The script file is treated as an R6RS-script. The options opts ... can be obtained using the "command-line" procedure in the (rnrs programs) library.

[-b <bootfile>] <file> ... [-- opts ...]
    Starts ikarus in interactive mode. Each of the files is first loaded into the interaction environment before the interactive repl is started. The options opts can be obtained using the "command-line" procedure.

If the option [-b <bootfile>] is provided, the bootfile is used as the system's initial boot file from which the environment is initialized. If the -b option is not supplied, the default boot file is used. The current default boot file location is "/usr/lib/ikarus/ikarus.boot". Consult the Ikarus Scheme User's Guide for more details.

FILES
/usr/lib/ikarus/ikarus.boot

ENVIRONMENT VARIABLES
none

SEE ALSO
The wrapper scheme-script(1) is useful for writing Scheme scripts that use ikarus.

Further documentation is available in /usr/share/doc/ikarus/ikarus-scheme-users-guide.pdf and at http://www.cs.indiana.edu/~aghuloum/ikarus/.

AUTHOR
ikarus was written by Abdulaziz Ghuloum.

This manual page was written by Barak A. Pearlmutter <bap@debian.org> while packaging ikarus for Debian.